using System;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTempFaturaA
    {

        public void Insert(entidadeTempFaturaA objTempFaturaA)
        {
            dalTempFaturaA dalTempFaturaA = null;

            try
            {
                dalTempFaturaA = new dalTempFaturaA();

                dalTempFaturaA.Insert(objTempFaturaA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeTempFaturaA objTempFaturaA)
        {
            dalTempFaturaA dalTempFaturaA = null;

            try
            {
                dalTempFaturaA = new dalTempFaturaA();

                dalTempFaturaA.Update(objTempFaturaA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeTempFaturaA objTempFaturaA)
        {
            dalTempFaturaA dalTempFaturaA = null;

            try
            {
                dalTempFaturaA = new dalTempFaturaA();

                dalTempFaturaA.Update_1(objTempFaturaA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeTempFaturaA objTempFaturaA)
        {
            dalTempFaturaA dalTempFaturaA = null;

            try
            {
                dalTempFaturaA = new dalTempFaturaA();

                dalTempFaturaA.Delete(objTempFaturaA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select(entidadeTempFaturaA objTempFaturaA)
        {
            dalTempFaturaA dalTempFaturaA = null;
            DataTable dt = null;

            try
            {
                dalTempFaturaA = new dalTempFaturaA();
                dt = dalTempFaturaA.Select(objTempFaturaA);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable SelectOthersTables(entidadeTempFaturaA objTempFaturaA)
        {
            dalTempFaturaA dalTempFaturaA = null;
            DataTable dt = null;

            try
            {
                dalTempFaturaA = new dalTempFaturaA();
                dt = dalTempFaturaA.SelectOthersTables(objTempFaturaA);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
